#ifndef _TEXT_HEX_H_
#define _TEXT_HEX_H_

#include <sys/types.h>

#ifdef __cplusplus
extern "C" {
#endif

ssize_t hex_encode(const void *data, size_t len, char *buf, size_t bufsize);
ssize_t hex_decode(const char *data, size_t len, void *buf, size_t bufsize);

#ifdef __cplusplus
}
#endif

#endif
